#include <delay.h>

int delay(int selftrig){
  int i;
  i = 0;
  int del = 200;
  //
  while ((i < 16) && ((selftrig & (0x8000>>i)) == 0)) { 
    del += 50;
    i++;
  };
  if (i > 15) del = 1000;
  return(del);
}


